\setcounter{chapter}{-1}
\renewcommand{\thechapter}{S}

\chapter{Supplementary material}
\addcontentsline{toc}{chapter}{Supplementary material}
\label{ch:supp}

\section{Losses}
\label{sec:supp_loss}

\showFig{\fullImgWidth}{\imgDir/loss/mse_smooth.png}{$\mathcal{L}_{\text{MSESmooth}}$}{loss_msesmooth}

\showFig{\fullImgWidth}{\imgDir/loss/Huber.png}{$\mathcal{L}_{\text{Huber}}$}{loss_huber}

\showFig{\fullImgWidth}{\imgDir/loss/berHu.png}{$\mathcal{L}_{\text{berHu}}$}{loss_berhu}

\showFig{\fullImgWidth}{\imgDir/loss/geo.png}{Geodesic error (distance) between 2 rotations (angle-axis representation)}{geodesic_error}

\begin{figure*}[!h]
    \centering
    \showSubFig{\fullImgWidth}{\imgDir/loss/L2_vs.png}{Optimizing $\mathcal{L}_{\text{2}}$} \\
    \showSubFig{\fullImgWidth}{\imgDir/loss/vs_geo.png}{Optimizing $\mathcal{L}_{\text{geodesic}}$}

    \caption{Training \vone{} model and optimizing loss via $\mathcal{L}_{\text{2}}$ VS $\mathcal{L}_{\text{geodesic}}$ on the predicted rotations and \gt{} ones}
    \label{fig:L2_VS_geo}
\end{figure*}

\section{Data samples}
\label{sec:supp_data}

\begin{figure*}[!h]
\centering

\showSubFig{\twoColImgsWidth}{\imgDir/data/img_000385.jpg}{Subject 9 doing action Posing-1, taken from camera 54138969} \showSubFig{\twoColImgsWidth}{\imgDir/data/img_001473.jpg}{Subject 6 doing action Greeting-1, taken from camera 55011271} \\

\showSubFig{\twoColImgsWidth}{\imgDir/data/img_001929.jpg}{Subject 1 doing action Sitting-2, taken from camera 58860488} \showSubFig{\twoColImgsWidth}{\imgDir/data/img_002425.jpg}{Subject 7 doing action Directions-1, taken from camera 60457274}

\caption{Some data samples from the Human3.6M dataset}
\label{fig:data_h36m}
\end{figure*}

\section{Training histories}
\label{sec:supp_train}

\begin{figure*}[!h]
    \centering
    \showSubFig{\fullImgWidth}{\imgDir/loss/vs_2d.png}{Supervising re-projections} \\
    \showSubFig{\fullImgWidth}{\imgDir/loss/3d_vs.png}{Supervising 3D pose}

    \caption{Training algebraic model (\citet{paper:learnable_triangulation}) and supervising on the re-projected pose \vs{} direct 3D supervision}
    \label{fig:l_2d_vs_3d_super}
\end{figure*}

\begin{figure*}[!h]
    \centering
    \showSubFig{\fullImgWidth}{\imgDir/res/3d_unsuper/train_history.png}{\vone{}} \\
    \showSubFig{\fullImgWidth}{\imgDir/res/3d_v2_unsuper/17461598.png}{\vtwo{}}

    \caption{Evaluation of unsupervised \vone{} VS \vtwo{} methods. MPJPE is referred to Procrustes-aligned reconstruction}
    \label{fig:unsuper_v1_vs_v2_history}
\end{figure*}

\showFig{\fullImgWidth}{\imgDir/res/orto/image.png}{Unsupervised training of \vort{}}{unsuper_orto}

\section{2D detections}
\label{sec:supp_res_2d}

\begin{figure*}[!h]
    \centering
    \showSubFig{\threeColImgsWidth}{\imgDir/2d_detections/good_0.jpg}{} \showSubFig{\threeColImgsWidth}{\imgDir/2d_detections/good_1.jpg}{}\\

    \showSubFig{\threeColImgsWidth}{\imgDir/2d_detections/good_2.jpg}{} \showSubFig{\threeColImgsWidth}{\imgDir/2d_detections/good_3.jpg}{}\\

    \showSubFig{\threeColImgsWidth}{\imgDir/2d_detections/good_4.jpg}{} \showSubFig{\threeColImgsWidth}{\imgDir/2d_detections/good_5.jpg}{}\\

    \caption{Sample 2D detections with pre-trained backbone. \gt{} joints are colored in \colorbox{red}{red}, predicted in \colorbox{green}{green}}
    \label{fig:sample_2d_detections}
\end{figure*}

\section{3D pose reconstruction}
\label{sec:supp_res_3d}

\begin{figure*}[!h]
    \centering
    \showSubFig{70mm}{\imgDir/res/3d_unsuper/2_procrustes_align.png}{Raw 3D pose reconstruction in \colorbox{red}{red} \vs{} \gt{} pose in \colorbox{blue}{\textcolor{white}{blue}}} \\
    \showSubFig{\fullImgWidth}{\imgDir/res/3d_unsuper/17359339_eval.png}{Procrustes-aligned reconstructed pose in \colorbox{red}{red} \vs{} \gt{} pose in \colorbox{blue}{\textcolor{white}{blue}}}

    \caption{Evaluation of unsupervised \vone{} method}
    \label{fig:3d_unsuper}
\end{figure*}

\showFig{\fullImgWidth}{\imgDir/res/weak_v1/eval_just_head.png}{Evaluation samples after training \vone{} method supervising just the head joint. Post-processing entails optimally-rotation of reconstructed pose. Reconstructed pose in \colorbox{red}{red} \vs{} \gt{} pose in \colorbox{blue}{\textcolor{white}{blue}}}{v1_just_head}

\begin{figure*}[!h]
    \centering
    \showSubFig{\fullImgWidth}{\imgDir/res/weak_v1/just_left_leg_bones.png}{\vone{} training history}\\
    \showSubFig{60mm}{\imgDir/res/weak_v2/vII_super_bones.png}{\vtwo{} evaluation. Reconstructed pose in \colorbox{red}{red} \vs{} \gt{} pose in \colorbox{blue}{\textcolor{white}{blue}}}

    \caption{Evaluation samples after training \vone{} \vs{} \vtwo{} method supervising just the left leg bones length. Post-processing entails optimally-rotation of reconstructed pose.}
    \label{fig:3d_bones}
\end{figure*}
